diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/dsr/model/dsr-maintain-buff.h ns-3.44/src/dsr/model/dsr-maintain-buff.h
--- ns-3.43/src/dsr/model/dsr-maintain-buff.h	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/dsr/model/dsr-maintain-buff.h	2025-03-09 16:55:49.371371000 -0700
@@ -46,8 +46,8 @@
 
     /**
      * Compare maintain Buffer entries
-     * \param o object to compare
-     * \return true if equal
+     * @param o object to compare
+     * @return true if equal
      */
     bool operator<(const LinkKey& o) const
     {
@@ -98,8 +98,8 @@
 
     /**
      * Compare maintain Buffer entries
-     * \param o object to compare
-     * \return true if equal
+     * @param o object to compare
+     * @return true if equal
      */
     bool operator<(const NetworkKey& o) const
     {
@@ -157,8 +157,8 @@
 
     /**
      * Compare maintain Buffer entries
-     * \param o is the object to compare
-     * \return true if equal
+     * @param o is the object to compare
+     * @return true if equal
      */
     bool operator<(const PassiveKey& o) const
     {
@@ -199,8 +199,8 @@
 };
 
 /**
- * \ingroup dsr
- * \brief DSR Maintain Buffer Entry
+ * @ingroup dsr
+ * @brief DSR Maintain Buffer Entry
  */
 class DsrMaintainBuffEntry
 {
@@ -208,14 +208,14 @@
     /**
      * Construct a DsrMaintainBuffEntry with the given parameters
      *
-     * \param packet packet
-     * \param ourAddress our IPv4 address
-     * \param nextHop next hop IPv4 address
-     * \param src IPv4 address of the source
-     * \param dst IPv4 address of the destination
-     * \param ackId ACK ID
-     * \param segsLeft number of segments left
-     * \param expire expiration time
+     * @param packet packet
+     * @param ourAddress our IPv4 address
+     * @param nextHop next hop IPv4 address
+     * @param src IPv4 address of the source
+     * @param dst IPv4 address of the destination
+     * @param ackId ACK ID
+     * @param segsLeft number of segments left
+     * @param expire expiration time
      */
     DsrMaintainBuffEntry(Ptr<const Packet> packet = nullptr,
                          Ipv4Address ourAddress = Ipv4Address(),
@@ -239,7 +239,7 @@
     // Fields
     /**
      * Get packet
-     * \returns the current packet
+     * @returns the current packet
      */
     Ptr<const Packet> GetPacket() const
     {
@@ -248,7 +248,7 @@
 
     /**
      * Set packet
-     * \param p the current packet
+     * @param p the current packet
      */
     void SetPacket(Ptr<const Packet> p)
     {
@@ -257,7 +257,7 @@
 
     /**
      * Get local address of entry
-     * \returns the local IP address
+     * @returns the local IP address
      */
     Ipv4Address GetOurAdd() const
     {
@@ -266,7 +266,7 @@
 
     /**
      * Set local address of entry
-     * \param us the local IP address
+     * @param us the local IP address
      */
     void SetOurAdd(Ipv4Address us)
     {
@@ -275,7 +275,7 @@
 
     /**
      * Get next hop of entry
-     * \returns the IP address for the next hop
+     * @returns the IP address for the next hop
      */
     Ipv4Address GetNextHop() const
     {
@@ -284,7 +284,7 @@
 
     /**
      * Set next hop of entry
-     * \param n the next hop IP address
+     * @param n the next hop IP address
      */
     void SetNextHop(Ipv4Address n)
     {
@@ -293,7 +293,7 @@
 
     /**
      * Get destination address
-     * \returns the destination IP address
+     * @returns the destination IP address
      */
     Ipv4Address GetDst() const
     {
@@ -302,7 +302,7 @@
 
     /**
      * Set destination address
-     * \param n the destination IP address
+     * @param n the destination IP address
      */
     void SetDst(Ipv4Address n)
     {
@@ -311,7 +311,7 @@
 
     /**
      * Get source address
-     * \returns the source IP address
+     * @returns the source IP address
      */
     Ipv4Address GetSrc() const
     {
@@ -320,7 +320,7 @@
 
     /**
      * Set source address
-     * \param s the source IP address
+     * @param s the source IP address
      */
     void SetSrc(Ipv4Address s)
     {
@@ -329,7 +329,7 @@
 
     /**
      * Get acknowledge ID
-     * \returns the acknowledge ID
+     * @returns the acknowledge ID
      */
     uint16_t GetAckId() const
     {
@@ -338,7 +338,7 @@
 
     /**
      * Set acknowledge ID
-     * \param ackId the acknowledge ID
+     * @param ackId the acknowledge ID
      */
     void SetAckId(uint16_t ackId)
     {
@@ -347,7 +347,7 @@
 
     /**
      * Get segments left
-     * \returns the number of segments left
+     * @returns the number of segments left
      */
     uint8_t GetSegsLeft() const
     {
@@ -356,7 +356,7 @@
 
     /**
      * Set segments left
-     * \param segs the number of segments left
+     * @param segs the number of segments left
      */
     void SetSegsLeft(uint8_t segs)
     {
@@ -365,7 +365,7 @@
 
     /**
      * Set expiration time
-     * \param exp the expire time
+     * @param exp the expire time
      */
     void SetExpireTime(Time exp)
     {
@@ -374,7 +374,7 @@
 
     /**
      * Get expiration time
-     * \returns the expiration time
+     * @returns the expiration time
      */
     Time GetExpireTime() const
     {
@@ -401,8 +401,8 @@
 };
 
 /**
- * \ingroup dsr
- * \brief DSR maintain buffer
+ * @ingroup dsr
+ * @brief DSR maintain buffer
  */
 /************************************************************************************************************************/
 class DsrMaintainBuffer
@@ -417,29 +417,29 @@
 
     /// Push entry in queue, if there is no entry with the same packet and destination address in
     /// queue.
-    /// \param entry Maintain Buffer Entry
-    /// \return true on success adding the Entry.
+    /// @param entry Maintain Buffer Entry
+    /// @return true on success adding the Entry.
     bool Enqueue(DsrMaintainBuffEntry& entry);
     /// Return first found (the earliest) entry for given destination
-    /// \param [in] dst Entry destination
-    /// \param [out] entry The Entry found (if any).
-    /// \return true on success
+    /// @param [in] dst Entry destination
+    /// @param [out] entry The Entry found (if any).
+    /// @return true on success
     bool Dequeue(Ipv4Address dst, DsrMaintainBuffEntry& entry);
     /// Remove all packets with next hop IP address dst
-    /// \param nextHop Next hop in the route.
+    /// @param nextHop Next hop in the route.
     void DropPacketWithNextHop(Ipv4Address nextHop);
     /// Finds whether a packet with next hop dst exists in the queue
-    /// \param nextHop Next hop in the route.
-    /// \return true if there is a packet directed to the next hop.
+    /// @param nextHop Next hop in the route.
+    /// @return true if there is a packet directed to the next hop.
     bool Find(Ipv4Address nextHop);
     /// Number of entries
-    /// \return The number of entries.
+    /// @return The number of entries.
     uint32_t GetSize();
 
     // Fields
     /**
      * Get maximum queue length
-     * \returns the maximum queue length
+     * @returns the maximum queue length
      */
     uint32_t GetMaxQueueLen() const
     {
@@ -448,7 +448,7 @@
 
     /**
      * Set maximum queue length
-     * \param len the maximum queue length
+     * @param len the maximum queue length
      */
     void SetMaxQueueLen(uint32_t len)
     {
@@ -457,7 +457,7 @@
 
     /**
      * Get maintain buffer timeout
-     * \returns the maintain buffer timeout
+     * @returns the maintain buffer timeout
      */
     Time GetMaintainBufferTimeout() const
     {
@@ -466,7 +466,7 @@
 
     /**
      * Set maintain buffer timeout
-     * \param t the maintain buffer timeout
+     * @param t the maintain buffer timeout
      */
     void SetMaintainBufferTimeout(Time t)
     {
@@ -474,22 +474,22 @@
     }
 
     /// Verify if all the elements in the maintenance buffer entry is the same
-    /// \note For real this function checks if at most one entry is equal. If it is,
+    /// @note For real this function checks if at most one entry is equal. If it is,
     /// that entry is removed. Further entries are NOT checked. This could be a bug.
-    /// \param entry The Entry to check
-    /// \return true if an Entry was found and removed.
+    /// @param entry The Entry to check
+    /// @return true if an Entry was found and removed.
     bool AllEqual(DsrMaintainBuffEntry& entry);
     /// Verify if the maintain buffer entry is the same in every field for link ack
-    /// \param entry The Entry to check
-    /// \return true if an Entry was found and removed.
+    /// @param entry The Entry to check
+    /// @return true if an Entry was found and removed.
     bool LinkEqual(DsrMaintainBuffEntry& entry);
     /// Verify if the maintain buffer entry is the same in every field for network ack
-    /// \param entry The Entry to check
-    /// \return true if an Entry was found and removed.
+    /// @param entry The Entry to check
+    /// @return true if an Entry was found and removed.
     bool NetworkEqual(DsrMaintainBuffEntry& entry);
     /// Verify if the maintain buffer entry is the same in every field for promiscuous ack
-    /// \param entry The Entry to check
-    /// \return true if an Entry was found and removed.
+    /// @param entry The Entry to check
+    /// @return true if an Entry was found and removed.
     bool PromiscEqual(DsrMaintainBuffEntry& entry);
 
   private:
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/dsr/model/dsr-network-queue.h ns-3.44/src/dsr/model/dsr-network-queue.h
--- ns-3.43/src/dsr/model/dsr-network-queue.h	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/dsr/model/dsr-network-queue.h	2025-03-09 16:55:49.371371000 -0700
@@ -40,8 +40,8 @@
 };
 
 /**
- * \ingroup dsr
- * \brief DSR Network Queue Entry
+ * @ingroup dsr
+ * @brief DSR Network Queue Entry
  */
 class DsrNetworkQueueEntry
 {
@@ -49,11 +49,11 @@
     /**
      * Construct a DsrNetworkQueueEntry with the given parameters
      *
-     * \param pa packet
-     * \param s IPv4 address of the source
-     * \param n IPv4 address of the next hop node
-     * \param exp expiration time
-     * \param r Route
+     * @param pa packet
+     * @param s IPv4 address of the source
+     * @param n IPv4 address of the next hop node
+     * @param exp expiration time
+     * @param r Route
      */
     DsrNetworkQueueEntry(Ptr<const Packet> pa = nullptr,
                          Ipv4Address s = Ipv4Address(),
@@ -70,8 +70,8 @@
 
     /**
      * Compare send buffer entries
-     * \param o entry to compare
-     * \return true if equal
+     * @param o entry to compare
+     * @return true if equal
      */
     bool operator==(const DsrNetworkQueueEntry& o) const
     {
@@ -83,7 +83,7 @@
     // Fields
     /**
      * Get packet function
-     * \returns the current packet
+     * @returns the current packet
      */
     Ptr<const Packet> GetPacket() const
     {
@@ -92,7 +92,7 @@
 
     /**
      * Set packet function
-     * \param p the current packet
+     * @param p the current packet
      */
     void SetPacket(Ptr<const Packet> p)
     {
@@ -101,7 +101,7 @@
 
     /**
      * Get IP route function
-     * \returns the IP route
+     * @returns the IP route
      */
     Ptr<Ipv4Route> GetIpv4Route() const
     {
@@ -110,7 +110,7 @@
 
     /**
      * Set IP route function
-     * \param route
+     * @param route
      */
     void SetIpv4Route(Ptr<Ipv4Route> route)
     {
@@ -119,7 +119,7 @@
 
     /**
      * Get source address function
-     * \returns the source IP address
+     * @returns the source IP address
      */
     Ipv4Address GetSourceAddress() const
     {
@@ -128,7 +128,7 @@
 
     /**
      * Set source address function
-     * \param addr the source IP address
+     * @param addr the source IP address
      */
     void SetSourceAddress(Ipv4Address addr)
     {
@@ -137,7 +137,7 @@
 
     /**
      * Get next hop address function
-     * \returns the next hop IP address
+     * @returns the next hop IP address
      */
     Ipv4Address GetNextHopAddress() const
     {
@@ -146,7 +146,7 @@
 
     /**
      * Set next hop address function
-     * \param addr the next hop IP address
+     * @param addr the next hop IP address
      */
     void SetNextHopAddress(Ipv4Address addr)
     {
@@ -155,7 +155,7 @@
 
     /**
      * Get inserted time stamp function
-     * \returns the inserted time stamp
+     * @returns the inserted time stamp
      */
     Time GetInsertedTimeStamp() const
     {
@@ -164,7 +164,7 @@
 
     /**
      * Set inserted time stamp function
-     * \param time the inserted timestamp
+     * @param time the inserted timestamp
      */
     void SetInsertedTimeStamp(Time time)
     {
@@ -185,8 +185,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -195,71 +195,71 @@
      * Construct a DsrNetworkQueue with the given
      * maximum length and maximum delay.
      *
-     * \param maxLen Maximum queue size
-     * \param maxDelay Maximum entry lifetime in the queue
+     * @param maxLen Maximum queue size
+     * @param maxDelay Maximum entry lifetime in the queue
      */
     DsrNetworkQueue(uint32_t maxLen, Time maxDelay);
     ~DsrNetworkQueue() override;
 
     /**
      * Find the packet entry with a given next hop
-     * \param nextHop the IP address of the next hop
-     * \param entry the DSR queue entry
-     * \returns true if found
+     * @param nextHop the IP address of the next hop
+     * @param entry the DSR queue entry
+     * @returns true if found
      */
     bool FindPacketWithNexthop(Ipv4Address nextHop, DsrNetworkQueueEntry& entry);
     /**
      * Try to find an entry with a particular next hop, and return true if found
-     * \param nextHop the next hop IP address
-     * \returns true if found
+     * @param nextHop the next hop IP address
+     * @returns true if found
      */
     bool Find(Ipv4Address nextHop);
     /**
      * Push entry in queue, if there is no entry with the same
      * packet and destination address in queue.
      *
-     * \param entry packet entry
-     * \return true if the given entry was put in the queue,
+     * @param entry packet entry
+     * @return true if the given entry was put in the queue,
      *         false otherwise
      */
     bool Enqueue(DsrNetworkQueueEntry& entry);
     /**
      * Return first found (the earliest) entry for given destination
      *
-     * \param entry pointer to the return entry
-     * \return true if an entry is returned,
+     * @param entry pointer to the return entry
+     * @return true if an entry is returned,
      *         false otherwise
      */
     bool Dequeue(DsrNetworkQueueEntry& entry);
     /**
      * Number of entries
      *
-     * \return the current queue size/length
+     * @return the current queue size/length
      */
     uint32_t GetSize();
 
     /**
      * Set the maximum queue size
      *
-     * \param maxSize the maximum queue size
+     * @param maxSize the maximum queue size
      */
     void SetMaxNetworkSize(uint32_t maxSize);
     /**
      * Set the maximum entry lifetime in the queue
      *
-     * \param delay the maximum entry lifetime
+     * @param delay the maximum entry lifetime
      */
     void SetMaxNetworkDelay(Time delay);
     /**
      * Return the maximum queue size
      *
-     * \return the maximum queue size
+     * @return the maximum queue size
      */
     uint32_t GetMaxNetworkSize() const;
     /**
      * Return the maximum entry lifetime for this queue
      *
-     * \return the maximum entry lifetime for this queue
+     * @return the maximum entry lifetime for this queue
      */
     Time GetMaxNetworkDelay() const;
     /**
@@ -270,7 +270,7 @@
     /**
      * Return the current queue entry
      *
-     * \return the current queue entry
+     * @return the current queue entry
      */
     std::vector<DsrNetworkQueueEntry>& GetQueue()
     {
